commoble.bagofyurting

## Class BagOfYurtingData

- java.lang.Object
- - commoble.bagofyurting.BagOfYurtingData

    public class BagOfYurtingData
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `BagOfYurtingData.StateData`

### Field Summary

Fields
`static net.minecraft.util.Direction` `BASE_DIRECTION`
`static net.minecraft.util.math.AxisAlignedBB` `EMPTY_AABB`
`static java.lang.String` `NBT_KEY`

### Constructor Summary

Constructors
Constructor and Description
`BagOfYurtingData(java.util.Map<net.minecraft.util.math.BlockPos,BagOfYurtingData.StateData> map)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `attemptUnloadIntoWorld(net.minecraft.item.ItemUseContext context, int radius)`
`CompressedBagOfYurtingData` `compress()`
`static boolean` `doesNBTContainYurtData(net.minecraft.nbt.CompoundNBT nbt)`
`boolean` `isEmpty()`
`static BagOfYurtingData` `read(net.minecraft.nbt.CompoundNBT nbt)` Creates a new instance from an NBT compound.
`net.minecraft.nbt.CompoundNBT` `writeIntoNBT(net.minecraft.nbt.CompoundNBT nbt)`
`static BagOfYurtingData` `yurtBlocksAndConvertToData(net.minecraft.item.ItemUseContext context, int radius)` Removes blocks from the world and stores them as yurt data, returning the data

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NBT_KEY

    public static final java.lang.String NBT_KEY

See Also:
  Constant Field Values

#### BASE_DIRECTION

    public static final net.minecraft.util.Direction BASE_DIRECTION

#### EMPTY_AABB

    public static final net.minecraft.util.math.AxisAlignedBB EMPTY_AABB

### Constructor Detail

#### BagOfYurtingData

    public BagOfYurtingData(java.util.Map<net.minecraft.util.math.BlockPos,BagOfYurtingData.StateData> map)

### Method Detail

#### yurtBlocksAndConvertToData

    public static BagOfYurtingData yurtBlocksAndConvertToData(net.minecraft.item.ItemUseContext context,
                                                              int radius)

Removes blocks from the world and stores them as yurt data, returning the data

#### attemptUnloadIntoWorld

    public boolean attemptUnloadIntoWorld(net.minecraft.item.ItemUseContext context,
                                          int radius)

#### doesNBTContainYurtData

    public static boolean doesNBTContainYurtData(net.minecraft.nbt.CompoundNBT nbt)

#### isEmpty

    public boolean isEmpty()

#### writeIntoNBT

    public net.minecraft.nbt.CompoundNBT writeIntoNBT(net.minecraft.nbt.CompoundNBT nbt)

#### read

    public static BagOfYurtingData read(net.minecraft.nbt.CompoundNBT nbt)

Creates a new instance from an NBT compound. This assumes that the given nbt has the "yurt" key within

#### compress

    public CompressedBagOfYurtingData compress()